.timeline {
    position: relative;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;

}

.timeline::before {
    content: "";
    position: absolute;
    width: 4px;
    background-color: #e0e0e0;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -2px;
}

.timeline-item {
    padding: 20px 20px;
    position: relative;
    display: flex;
    align-items: center;
    width: 50%;
    left: 79.4%;
    transform: translateX(-50%);
    background-color: #e5e5e5;
    border-radius: 5px;
}


.timeline-item::before {
    content: "";
    position: absolute;
    top: 66px;
    width: 0;
    height: 0;
    border: 10px solid transparent;
    border-color: transparent transparent transparent #e5e5e5;
    rotate: 180deg;
    left: -22px;
    color: #000;
}

.timeline-item:nth-child(odd) {
    left: -55px;
    transform: translateX(0);
    rotate: 0deg;
}

.timeline-item:nth-child(odd)::before {
    left: auto;
    right: -22px;
    border-color: transparent transparent transparent #e0e0e0;
    rotate: 0deg;
    top: 60px;
}

.icon {
    background: #ffefe0;
    border-radius: 50%;
    padding: 10px;
    font-size: 24px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    border: 5px solid white;
}

.date {
    color: #666;
    font-size: 14px;
    margin-bottom: 10px;
}

.content {
    min-width: 63%;
    background: #fff;
    padding: 15px 20px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    min-height: 75px;
}

.content h3 {
    margin: 0;
    color: #333;
}

.content p {
    margin: 5px 0 0;
    color: #666;
}